diff -urN versao_6D/stoqdrivers-0.9.11/stoqdrivers/printers/fiscal.py trunk/stoqdrivers/printers/fiscal.py
--- versao_6D/stoqdrivers-0.9.11/stoqdrivers/printers/fiscal.py	2016-12-29 14:30:59.000000000 -0200
+++ trunk/stoqdrivers/printers/fiscal.py	2017-01-23 16:54:44.689415054 -0200
@@ -345,15 +579,136 @@
         @returns: the last document crz
         @rtype: integer
         """
-        log.info('get_crz()')
+        log.info('> CMD: get_crz()')
+        res = self._driver.get_crz()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_cfc(self):
+        """Cupom Fiscal Cancelado
 
-        return self._driver.get_crz()
+        @returns: Total de Cupoms Cancelados
+        @rtype: integer
+        """
+        log.info('> CMD: get_cfc()')
+        res = self._driver.get_cfc()
+        log.info('< RET: %s' % res)
+        return res
 
+    def get_cro(self):
+        """Cupom de Operacao nao Fiscal
+
+        @returns: Total de operacoes nao fiscais
+        @rtype: integer
+        """
+        log.info('> CMD: get_cro()')
+        res = self._driver.get_cro()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_grg(self):
+        """Contador Geral de Relatório Gerencial
+
+        @returns: Total de Relatório Gerencial
+        @rtype: integer
+        """
+        log.info('> CMD: get_grg()')
+        res = self._driver.get_grg()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_cdc(self):
+        u"""Contador de Comprovantes de Débito ou Crédito
+
+        @returns: Total de Comprovantes de Débito ou Crédito
+        @rtype: integer
+        """
+        log.info('> CMD: get_cdc()')
+        res = self._driver.get_cdc()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_grande_total(self):
+        log.info('> CMD: get_grande_total()')
+        res = self._driver.get_grande_total()
+        log.info('< RET: %s' % res)
+        return res
+
+    def retorno_de_variaveis(self, var, tam):
+        log.info('> CMD: retorno_de_variaveis(var%r, tam%r)' % (var, tam))
+        res = self._driver.retorno_de_variaveis(var, tam)
+        log.info('< RET: %s' % res)
+        return res
+
+    def ler_ultima_reducao(self):
+        log.info('> CMD: ler_ultima_reducao()')
+        res = self._driver.ler_ultima_reducao()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_date_last_mov_rz(self):
+        log.info('> CMD: get_date_last_mov_rz()')
+        res = self._driver.get_date_last_mov_rz()
+        log.info('< RET: %s' % res)
+        return res
 
     def get_sintegra(self):
-        log.info('get_sintegra()')
+        log.info('> CMD: get_sintegra()')
+        res = self._driver.get_sintegra()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_data_mov(self):
+        log.info('> CMD: get_data_mov()')
+        res = self._driver.get_data_mov()
+        log.info('< RET: %s' % res)
+        return res
 
-        return self._driver.get_sintegra()
+    def get_date_sb(self):
+        log.info('> CMD: get_date_sb()')
+        res = self._driver.get_date_sb()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_counters(self):
+        log.info('> CMD: get_counters()')
+        if self.brand != 'sweda':
+            contadores = {
+                'coo': self.get_coo(),
+                'ccf': self.get_ccf(),
+                'gnf': self.get_gnf(),
+                'crz': self.get_crz(),
+                'grg': self.get_grg(),
+                'cdc': self.get_cdc()
+            }
+        else:
+            contadores = self._driver.get_counters()
+        log.info('< RET: %s' % contadores)
+        return contadores
+
+    def identifier_pafecf(self, text):
+        log.info('> CMD: identifier_pafecf()')
+        res = self._driver.identifier_pafecf(text)
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_last_reduce(self):
+        log.info('> CMD: get_last_reduce()')
+        res = self._driver.get_last_reduce()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_num_loja(self):
+        log.info('> CMD: get_num_loja()')
+        res = self._driver.get_num_loja()
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_num_ecf(self):
+        log.info('> CMD: get_num_ecf()')
+        res = self._driver.get_num_ecf()
+        log.info('< RET: %s' % res)
+        return res
 
     @property
     def supports_duplicate_receipt(self):
@@ -361,4 +716,19 @@
 
     @property
     def identify_customer_at_end(self):
-        return self._driver.identify_customer_at_end
+        log.info('> CMD: identify_customer_at_end()')
+        res = self._driver.identify_customer_at_end
+        log.info('< RET: %s' % res)
+        return res
+
+    def get_emitir_mfd(self, relatorio, inicio, fim, dir_arq, ecf, tipo='1', dir_bin=''):
+        """
+        Função especifica para ECF Sweda.
+        """
+        return self._driver.get_emitir_mfd(relatorio, inicio, fim, dir_arq, ecf, tipo, dir_bin)
+
+    def get_pagamento_existe(self):
+        log.info('> CMD: get_pagamento_existe()')
+        res = self._driver.get_pagamento_existe()
+        log.info('< RET: %s' % res)
+        return res
\ Falta o caracter nova linha no final do arquivo
